org.apache.storm.kafka.spout.subscription

## Class PatternTopicFilter

- java.lang.Object
- - org.apache.storm.kafka.spout.subscription.PatternTopicFilter

- All Implemented Interfaces:
    Serializable, TopicFilter

      public class PatternTopicFilter
      extends Object
      implements TopicFilter

  Filter that returns all partitions for topics matching the given `Pattern`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternTopicFilter(Pattern pattern)` Creates filter based on a Pattern.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<org.apache.kafka.common.TopicPartition>` | `getAllSubscribedPartitions(org.apache.kafka.clients.consumer.Consumer<?,?> consumer)` Get the Kafka TopicPartitions subscribed to by this set of spouts.
    `String` | `getTopicsPattern()`
    `String` | `getTopicsString()` Get the topics string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternTopicFilter

          public PatternTopicFilter(Pattern pattern)

      Creates filter based on a Pattern. Only topic names matching the Pattern are passed by the filter.

      Parameters:
        `pattern` - The Pattern to use.

  - ### Method Detail

    - #### getAllSubscribedPartitions

          public Set<org.apache.kafka.common.TopicPartition> getAllSubscribedPartitions(org.apache.kafka.clients.consumer.Consumer<?,?> consumer)

      Description copied from interface: `TopicFilter`

      Get the Kafka TopicPartitions subscribed to by this set of spouts.

      Specified by:
        `getAllSubscribedPartitions` in interface `TopicFilter`
      Parameters:
        `consumer` - The Kafka consumer to use to read the list of existing partitions
      Returns:
        The Kafka partitions this set of spouts should subscribe to

    - #### getTopicsString

          public String getTopicsString()

      Description copied from interface: `TopicFilter`

      Get the topics string.

      Specified by:
        `getTopicsString` in interface `TopicFilter`
      Returns:
        A human-readable string representing the topics that pass the filter.

    - #### getTopicsPattern

          public String getTopicsPattern()

Copyright © 2021 The Apache Software Foundation. All rights reserved.